org.springframework.data.convert

## Interface EntityInstantiator

All Superinterfaces:
  EntityInstantiator

Deprecated.

    @Deprecated
    public interface EntityInstantiator
    extends EntityInstantiator

SPI to abstract strategies to create instances for `PersistentEntity`s.

Since:
  2.3, use `EntityInstantiator` instead.
Author:
  Oliver Gierke

### Method Summary

### Methods inherited from interface org.springframework.data.mapping.model.EntityInstantiator

`createInstance`